<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <title>Aulas</title>
    <style>

      html,
      body {
        border: 0;
        margin: 0;
        overflow: hidden;
        background-color: #ada594;
      }
      header {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        text-align: center;
        font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
        font-weight: 800;
        font-size: 30px;
        height: 60px;
        background: #1c262f;
        color: #fc6d26;
      }

      header > span {
        line-height: 60px;
      }

      main {
        font-size: 12px;
        text-align: center;
        font-family: Open Sans, Helvetica, sans-serif;
        position: absolute;
        overflow-y: scroll;
        scroll-behavior: smooth;
        top: 60px;
        left: 290px;
        right: 0;
        bottom: 30px;
      }

      footer {
        position: absolute;
        text-align: center;
        height: 30px;
        bottom: 0;
        left: 0;
        right: 0;
        background: #1c262f;
        color: #ada594;
      }

      footer > span {
        font-weight: 500;
        font-size: 12px;
        font-family: Open Sans, Helvetica, sans-serif;
        line-height: 30px;
      }

      footer > span > a {
        color: #fc6d26 !important;
      }

      footer > span > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      footer > span > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      footer > span > a:hover {
        color: #5a5442;
        cursor: pointer;
      }

      nav {
        padding: 20px;
        position: absolute;
        top: 60px;
        left: 0;
        width: 250px;
        color: #ada594;
        background: #2e3d49;
        overflow-y: scroll;
        scroll-behavior: smooth;
        bottom: 30px;
      }

      nav > h3 {
        margin: 0 0 15px !important;
        line-height: 20px;
        font-style: normal !important;
        font-size: 16px;
      }

      nav > h3 > a {
        font-weight: 400 !important;
        font-style: normal !important;
        font-family: Roboto, sans-serif;
        /* font-family: Open Sans, Helvetica, sans-serif; */
      }

      nav > h3 > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      nav > h3 > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      nav > h3 > a:hover {
        color: #fc6d26;
        cursor: pointer;
      }

      iframe {
        width: 800px;
        height: 450px;
        margin-top: 30px;
        background-color: #cccccc;
        border: 1px solid #cccccc;
      }

      section > div {
        display: flex;
        margin: auto;
        width: 800px;
        height: 70px;
      }

      section > div > a:link {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      section > div > a:visited {
        text-decoration: inherit;
        color: inherit;
        cursor: auto;
      }

      section > div > a:hover {
        color: #efd384;
        cursor: pointer;
      }

      section > div > a > h4 > img {
        width: 30px;
        margin-right: 5px;
      }

      section > div > a > h4 {
        display: flex;
        align-items: center;
        margin-right: 20px;
        font-weight: 500 !important;
        font-size: 14px;
        font-style: normal !important;
        font-family: Open Sans, Helvetica, sans-serif;
      }

      @media screen and (max-width: 1000px) {

        main {
          top: 60px;
          left: 160px;
          bottom: 30px;
          right: 0;
        }

        nav {
          position: absolute;
          left: 0;
          top: 60px;
          padding: 10px;
          width: 150px;
          bottom: 10px;
          background: #2e3d49;
          overflow-y: scroll;
          color: #fff;
        }

        nav > h3 {
          margin: 0 0 15px !important;
          font-style: normal !important;
          line-height: 14px;
          font-size: 12px;
        }

        iframe {
          width: 400px;
          height: 225px;
          margin-top: 30px;
          background-color: #cccccc;
          border: 1px solid #cccccc;
        }

        section > div {
          display: flex;
          margin: auto;
          width: 400px;
        }
      }

      @media screen and (max-width: 600px) {
        header {
          position: absolute;
          top: 0;
          left: 0;
          right: 0;
          text-align: center;
          font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;
          font-weight: 800;
          font-size: 18px;
          height: 60px;
          background: #1c262f;
          color: #fc6d26;
          line-height: 30px;
        }

        main {
          top: 60px;
          bottom: 30px;
          right: 0;
          left: 0;
        }

        nav {
          display: none;
        }

        iframe {
          width: 380px;
          height: 200px;
          margin-top: 30px;
          background-color: #cccccc;
          border: 1px solid #cccccc;
        }

        section > div {
          width: 380px;
        }

        footer {
          position: absolute;
          text-align: center;
          height: 25px;
          bottom: 0;
          left: 0;
          right: 0;
          background: #1c262f;
          color: #fff;
        }

        footer > span {
          font-weight: 300;
          font-size: 10px;
          font-family: Open Sans, Helvetica, sans-serif;
          line-height: 15px;
        }
      }

      ::-webkit-scrollbar {
        width: 18px;
      }

      ::-webkit-scrollbar-thumb {
        border-radius: 15px;
        background-color: #1e1e1e59;
        border: 3px solid transparent;
        background-clip: content-box;
      }

      ::-webkit-scrollbar-thumb:hover {
        background-color: #fc6d26;
      }

      ::-webkit-scrollbar-thumb:vertical {
          height: 100px;
      }
      
    </style>
  </head>
  <body>
    <header>
      <span>Aulas de Desenvolvimento Web Básico</span>
    </header>
    <nav>
      <h3>
        <a href="#topico01">01. Visão geral do desenvolvimento Web</a>
      </h3>
      <h3>
        <a href="#topico02">02. Criação da primeira página HTML</a>
      </h3>
      <h3>
        <a href="#topico03">03. Estruturas de páginas HTML e pastas</a>
      </h3>
      <h3>
        <a href="#topico04">04. Criação de layout de telas utilizando CSS</a>
      </h3>
      <h3>
        <a href="#topico05">05. Aplicação de layout no projeto de exemplo</a>
      </h3>
      <h3>
        <a href="#topico06">06. Introdução a layouts com responsividade</a>
      </h3>
      <h3>
        <a href="#topico07">07. Aplicação das técnicas Flexbox e Grid</a>
      </h3>
      <h3>
        <a href="#topico08">08. Orientações para instalação do servidor Node.js</a>
      </h3>
      <h3>
        <a href="#topico09">09. Formulários, controles e tabelas</a>
      </h3>
      <h3>
        <a href="#topico10">10. Desenvolvimento do projeto MyFood</a>
      </h3>
      <h3>
        <a href="#topico11">11. Versionamento de códigos</a>
      </h3>
      <h3>
        <a href="#topico12">12. Sites dinâmicos, backend e servidores</a>
      </h3>
      <h3>
        <a href="#topico13">13. Páginas HTML dinâmicas do lado servidor com EJS</a>
      </h3>
      <h3>
        <a href="#topico14">14. Introdução ao Javascript</a>
      </h3>
      <h3>
        <a href="#topico15">15. Javascript funcional e orientado a objetos</a>
      </h3>
      <h3>
        <a href="#topico16">16. Visão geral do Document Object Model (DOM)</a>
      </h3>
      <h3>
        <a href="#topico17">17. Introdução ao Ajax, servidores de APIs e web estático</a>
      </h3>
      <h3>
        <a href="#topico18">18. Criação de HTML dinâmico e consumo de APIs com Ajax (Parte 1)</a>
      </h3>
      <h3>
        <a href="#topico19">19. Criação de HTML dinâmico e consumo de APIs com Ajax (Parte 2)</a>
      </h3>
      <h3>
        <a href="#topico20">20. Single Page Applications (SPAs) e frameworks</a>
      </h3>
    </nav>
    <main>

      <section id="topico01">
        <iframe src="https://www.youtube.com/embed/LvzKuTgo3rg?modestbranding=1&amp;rel=0" frameborder="0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.01%20Vis%C3%A3o%20geral%20do%20desenvolvimento%20Web.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico02">
        <iframe src="https://www.youtube.com/embed/bsuPWsXrprI?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-01" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico03">
        <iframe src="https://www.youtube.com/embed/RwG51ukulb8?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.02%20Estrutura%20de%20p%C3%A1ginas%20HTML%20e%20pastas.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-02" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico04">
        <iframe src="https://www.youtube.com/embed/7AG_bGF8n0I?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.03%20Cria%C3%A7%C3%A3o%20de%20layout%20de%20telas%20utilizando%20CSS.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-03" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico05">
        <iframe src="https://www.youtube.com/embed/MQ0JFcE8Nuo?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-03" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico06">
        <iframe src="https://www.youtube.com/embed/REE2oS8p32Q?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.04%20Introdu%C3%A7%C3%A3o%20a%20layouts%20com%20responsividade.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-04" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico07">
        <iframe src="https://www.youtube.com/embed/ytp20vDeJo4?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.04%20Introdu%C3%A7%C3%A3o%20a%20layouts%20com%20responsividade.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-04" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico08">
        <iframe src="https://www.youtube.com/embed/bsqXcgbHw7Y?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/servidor" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico09">
        <iframe src="https://www.youtube.com/embed/npj_f_QyjBc?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.06%20Formul%C3%A1rios,%20controles%20e%20tabelas.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-05" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico10">
        <iframe src="https://www.youtube.com/embed/2k08kzOl63s?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/servidor" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico11">
        <iframe src="https://www.youtube.com/embed/facfIExJxPM?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/1.07%20Versionamento%20de%20c%C3%B3digos.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico12">
        <iframe src="https://www.youtube.com/embed/rrUkwprSzW0?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.01%20Sites%20din%C3%A2micos,%20backend%20e%20servidores.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico13">
        <iframe src="https://www.youtube.com/embed/DeoKSYDtBJw?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-06" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico14">
        <iframe src="https://www.youtube.com/embed/XbkRB15wxVk?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.02%20Introdu%C3%A7%C3%A3o%20ao%20Javascript.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-07" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico15">
        <iframe src="https://www.youtube.com/embed/tVIdCR6sP48?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.03%20Javascript%20funcional%20e%20orientado%20a%20objetos.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-08" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico16">
        <iframe src="https://www.youtube.com/embed/QwwmaKleedw?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.04%20Vis%C3%A3o%20geral%20do%20Document%20Object%20Model%20(DOM).pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-09" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico17">
        <iframe src="https://www.youtube.com/embed/Yt3WRNndPVE?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.05%20Ajax%20e%20consumo%20de%20webservices.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-10" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico18">
        <iframe src="https://www.youtube.com/embed/JsPEddsi_AY?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-10" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico19">
        <iframe src="https://www.youtube.com/embed/Acm5RZaooLU?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/aula-10" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

      <section id="topico20">
        <iframe src="https://www.youtube.com/embed/5NiX02krxrQ?modestbranding=1&amp;rel=0" allowfullscreen></iframe>
        <div>
          <a href="https://gitlab.com/gilbriatore/2021/web/site/-/blob/main/public/PDFs/2.06%20SPAs%20e%20frameworks.pdf" target="_blank">
            <h4><img src="./img/pdf-icon0.svg"><span>Apresentação em PDF</span>
            </h4>
          </a>
          <a href="https://gitlab.com/gilbriatore/2021/web/myfood" target="_blank">
            <h4><img src="./img/gitlab.svg"><span>Código fonte</span>
            </h4>
          </a>
        </div>
      </section>

    </main>
    <footer>
      <span>
        <strong>© 2021 Professor Geucimar Brilhador</strong>. Todos os direitos reservados.
        <a href="https://gitlab.com/gilbriatore/2021/web" target="_blank">Repositório GitLab</a>
      </span>
    </footer>
  </body>
</html>
